Package org.eclipse.ui.views.properties.tabbed

## Interface ITabDescriptor

All Superinterfaces:
  `ITabItem`

All Known Implementing Classes:
  `AbstractTabDescriptor`

    public interface ITabDescriptor
    extends ITabItem

Represents a tab descriptor for the tabbed property view.

This interface should not be extended or implemented. New instances should be created using `AbstractTabDescriptor`.

Since:
  3.4

### Field Summary

Fields
`static String` `TOP` If afterTab is not specified in the descriptor, we default to be the top tab.

### Method Summary

All Methods Instance Methods Abstract Methods
`TabContents` `createTab()` Instantiate this tab's sections.
`String` `getAfterTab()` Get the identifier of the tab after which this tab should be displayed.
`String` `getCategory()` Get the category this tab belongs to.
`String` `getId()` Get the unique identifier for the tab.
`String` `getLabel()` Get the text label for the tab.
`List` `getSectionDescriptors()` Get the list of section descriptors for the tab.

### Methods inherited from interface org.eclipse.ui.views.properties.tabbed.ITabItem

`getImage, getText, isIndented, isSelected`

### Field Detail

#### TOP

    static final String TOP

If afterTab is not specified in the descriptor, we default to be the top tab.

See Also:
  Constant Field Values

### Method Detail

#### createTab

    TabContents createTab()

Instantiate this tab's sections.

Returns:
  The tab contents for this section.

#### getAfterTab

    String getAfterTab()

Get the identifier of the tab after which this tab should be displayed. When two or more tabs belong to the same category, they are sorted by the after tab values.

Returns:
  the identifier of the tab.

#### getCategory

    String getCategory()

Get the category this tab belongs to.

Returns:
  Get the category this tab belongs to.

#### getId

    String getId()

Get the unique identifier for the tab.

Returns:
  the unique identifier for the tab.

#### getLabel

    String getLabel()

Get the text label for the tab.

Returns:
  the text label for the tab.

#### getSectionDescriptors

    List getSectionDescriptors()

Get the list of section descriptors for the tab.

Returns:
  the list of section descriptors for the tab.